Runtime

## org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter
Class SortFilterCollectionColumn

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter.SortFilterCollectionColumn

public class SortFilterCollectionColumn
extends java.lang.Object

Wrapper for creating `TableColumn` column information.

Constructor Summary
`SortFilterCollectionColumn(java.lang.String caption)` Constructor for the `SortFilterCollectionColumn`.
`SortFilterCollectionColumn(java.lang.String caption, int alignment, int width, ViewerSorter sorter)` SortFilterCollectionColumn constructor with the specified column attributes.
`SortFilterCollectionColumn(java.lang.String caption, ViewerSorter sorter)` Constructor for the `SortFilterCollectionColumn`.

Method Summary
`boolean` `equals(java.lang.Object obj)` Uses the getCaption() to compare the equalvalence of the objects.
`int` `getAlignment()` Gets the horizontal alignment type
`java.lang.String` `getCaption()` Gets the column's display name
`ViewerSorter` `getColumnSorter()` Returns a sorter which will sort the table by this column.
`int` `getWidth()` Gets the width column's width.
`int` `hashCode()`
`boolean` `isResizable()` Determines if column is resizable
`void` `setAlignment(int alignment)` Sets the horizontal alignment type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortFilterCollectionColumn

    public SortFilterCollectionColumn(java.lang.String caption)

  Constructor for the `SortFilterCollectionColumn`. All instances must have a column label.

Parameters:
  `caption` - the column caption

### SortFilterCollectionColumn

    public SortFilterCollectionColumn(java.lang.String caption,
                                      ViewerSorter sorter)

  Constructor for the `SortFilterCollectionColumn`.

Parameters:
  `caption` - the column caption
  `sorter` - the sorter

### SortFilterCollectionColumn

    public SortFilterCollectionColumn(java.lang.String caption,
                                      int alignment,
                                      int width,
                                      ViewerSorter sorter)

  SortFilterCollectionColumn constructor with the specified column attributes.

Parameters:
  `caption` - the column name
  `alignment` - the column's alignment
  `width` - the column's width in pixels
  `sorter` - the sorter

Method Detail

### getCaption

    public java.lang.String getCaption()

  Gets the column's display name

  Returns:
    String the column's display name

### getAlignment

    public int getAlignment()

  Gets the horizontal alignment type

  Returns:
    int the horizontal alignment type

### getWidth

    public int getWidth()

  Gets the width column's width.

  Returns:
    the width

### setAlignment

    public void setAlignment(int alignment)

  Sets the horizontal alignment type. Use SWT

  Parameters:
    `alignment` - the horizontal alignment type

### isResizable

    public boolean isResizable()

  Determines if column is resizable

  Returns:
    boolean `true` if column is resizable, otherwise `false`

### getColumnSorter

    public ViewerSorter getColumnSorter()

  Returns a sorter which will sort the table by this column.

  Returns:
    the `ViewerSorter` which knows how to sort the `Table` by this column.

### equals

    public boolean equals(java.lang.Object obj)

  Uses the getCaption() to compare the equalvalence of the objects.

  Returns:
    true if the `SortFilterCollectionColumn` have the same name.
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.